Bug 1584586 - [abrt] armacycles-ad: std::__replacement_assert(): armacyclesad killed by SIGABRT
Summary: [abrt] armacycles-ad: std::__replacement_assert(): armacyclesad killed by SIG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: armacycles-ad
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:62f9240d7d5a0470ff484bf4d4e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-31 09:17 UTC by deadrat
Modified: 2018-12-07 02:38 UTC (History)
2 users (show)

Fixed In Version: armacycles-ad-0.2.8.3.4-9.fc28 armacycles-ad-0.2.8.3.4-9.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 02:14:22 UTC


Attachments (Terms of Use)
File: backtrace (563.34 KB, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: core_backtrace (21.54 KB, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: dso_list (7.26 KB, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: environ (3.66 KB, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: maps (37.82 KB, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: mountinfo (3.96 KB, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: open_fds (807 bytes, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-05-31 09:17 UTC, deadrat
no flags Details
File: backtrace (412.42 KB, text/plain)
2018-07-16 08:35 UTC, Kaj Forney
no flags Details

Description deadrat 2018-05-31 09:17:11 UTC
Version-Release number of selected component:
armacycles-ad-0.2.8.3.4-6.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        armacyclesad
crash_function: std::__replacement_assert
executable:     /usr/bin/armacyclesad
journald_cursor: s=31bc9c496e2044c7b9a7c42b6957e3f7;i=29434;b=2dc762dadc2d4753a8b2c6f89cef08dd;m=197fbf58e2;t=56d6e16110729;x=87ee64c9fde93404
kernel:         4.16.11-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 deadrat 2018-05-31 09:17:22 UTC
Created attachment 1446188 [details]
File: backtrace

Comment 2 deadrat 2018-05-31 09:17:23 UTC
Created attachment 1446189 [details]
File: cgroup

Comment 3 deadrat 2018-05-31 09:17:26 UTC
Created attachment 1446190 [details]
File: core_backtrace

Comment 4 deadrat 2018-05-31 09:17:27 UTC
Created attachment 1446191 [details]
File: cpuinfo

Comment 5 deadrat 2018-05-31 09:17:29 UTC
Created attachment 1446192 [details]
File: dso_list

Comment 6 deadrat 2018-05-31 09:17:31 UTC
Created attachment 1446193 [details]
File: environ

Comment 7 deadrat 2018-05-31 09:17:32 UTC
Created attachment 1446194 [details]
File: limits

Comment 8 deadrat 2018-05-31 09:17:35 UTC
Created attachment 1446195 [details]
File: maps

Comment 9 deadrat 2018-05-31 09:17:37 UTC
Created attachment 1446196 [details]
File: mountinfo

Comment 10 deadrat 2018-05-31 09:17:38 UTC
Created attachment 1446197 [details]
File: open_fds

Comment 11 deadrat 2018-05-31 09:17:40 UTC
Created attachment 1446198 [details]
File: proc_pid_status

Comment 12 Kaj Forney 2018-07-16 08:35:20 UTC
Similar problem has been detected:

I started a new local match in Armacycles, and the program crashed on the frame I would have started moving.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        armacyclesad
crash_function: std::__replacement_assert
executable:     /usr/bin/armacyclesad
journald_cursor: s=b612df920c474210ae257bbb2aca5ec6;i=246997;b=5620e62500294fffafbed667cbaf2f2e;m=530b00996;t=571199d44f4b6;x=4464a0eee685091b
kernel:         4.17.5-200.fc28.x86_64
package:        armacycles-ad-0.2.8.3.4-6.fc28
reason:         armacyclesad killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Kaj Forney 2018-07-16 08:35:23 UTC
Created attachment 1459079 [details]
File: backtrace

Comment 14 Fedora Update System 2018-11-28 17:28:22 UTC
armacycles-ad-0.2.8.3.4-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fd80cae1ac

Comment 15 Fedora Update System 2018-11-28 17:28:27 UTC
armacycles-ad-0.2.8.3.4-9.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-06edd74bf8

Comment 16 Fedora Update System 2018-11-29 02:04:01 UTC
armacycles-ad-0.2.8.3.4-9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fd80cae1ac

Comment 17 Fedora Update System 2018-11-29 03:18:38 UTC
armacycles-ad-0.2.8.3.4-9.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-06edd74bf8

Comment 18 Fedora Update System 2018-12-07 02:14:22 UTC
armacycles-ad-0.2.8.3.4-9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-12-07 02:38:51 UTC
armacycles-ad-0.2.8.3.4-9.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.